#include <windows.h>
#include <stdio.h>
#include "..\..\..\PcScale.h"

WINAPI WinMain(HINSTANCE , HINSTANCE , LPSTR , int )
{
	int			status;
	char 			gross[9],tare[9],net[9],unitd[3],msg[100];
	HANDLE		hScale;


		status = AttachScale(&hScale,1,4800,7,2,2);

		if( status < 0 )
    	{
			switch(status)
			{
				case -2:
        		sprintf(msg,"Erro abrindo com");
				break;

		      case -3:
	         sprintf(msg,"Com inválida");
    	      break;

		      case -4:
    	      sprintf(msg,"Muitos arquivos abertos");
        	   break;

		      case -5:
    	      sprintf(msg,"Acesso a Com não permitido");
        	   break;

				case -6:
    	      sprintf(msg,"Erro setando parâmetros de comunicação");
        	   break;

		      case -7:
    	      sprintf(msg,"Erro setando timeout de comunicação");
        	   break;

		      case -100:
    	      sprintf(msg,"Arquivo vazio");
        	   break;

		      case -101:
    	      sprintf(msg,"Disco cheio");
        	   break;

		      case -106:
    	      sprintf(msg,"Input inválido");
        	   break;

		      default:
    	      sprintf(msg,"Erro Genérico");
			}
		}
      else
      {
				status=ReadScale(&hScale,BIDS,gross,tare,net,unitd);
           	if( status == ScaleError ) sprintf(msg,"Erro de leitura da balanca");
            else if( status == ProteqNotFound ) sprintf(msg,"Chave de licença não encontrada");
            else
            {
					sprintf(msg,
					"Bruto: %s     Tara: %s     Líquido: %s    %s",
					gross,tare,net,unitd
					);
            }
		}
		MessageBox(NULL,msg,"Demo",MB_OK);
		return(true);
}


